Subject: RE: [External] : bug#53507: 27.1; syntax highlight in the eval-expression prompt

From: Drew Adams <[email-masked]>
Date: Thu, 27 Jan 2022 03:19:56 +0000

> >  Font-locking a sexp you're typing isn't very
> >  important.
> 
> It may not be important for you, because you type
> only simple expressions into eval-expression , but
> others can use it differently.

I meant that, relative to the need for
reasonable support of the _output_
(examination, editing, undo), it's less
important, IMO.

But I wandered from the topic by bringing
up the output.  Sorry for that.

> I often paste multiline elisp snippets (e.g. 8-10
> lines) into eval-expression which operate on the
> current buffer (transforming content, etc). I'm
> most of the time interestested in buffer changes,
> not the result of the expression.

Yes, that's a reasonable use case as well.

Personally, even when I use `M-:' mainly for
a side effect, I'm often interested in the
resulting value as well.

The `M-:' dialog could be improved in both
ways.  And a start for output enhancement
is to bind it to `pp-eval-expression' by
default, instead of `eval-expression'.

> Such a snippet often needs small tewakings depending
> on the current buffer content. In this case I
> retrieve the snippet from the history of the eval
> expression prompt and edit it right the in the
> minibuffer.

I understand.

> When editing multiline snippets there, font locking
> is important, because it makes it easier to read the
> code (strings, etc.), just like in case of code  in
> regular elisp buffers.

Yes, understood.